Package fr.gouv.vitam.worker.core.plugin.computeinheritedrules.model

# Class ClassificationRule

java.lang.Object
fr.gouv.vitam.worker.core.plugin.computeinheritedrules.model.InheritedRule
fr.gouv.vitam.worker.core.plugin.computeinheritedrules.model.ClassificationRule

public class ClassificationRule extends InheritedRule

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassificationRule()`
  `ClassificationRule(LocalDate maxEndDate, Properties properties, Map<String,LocalDate> ruleIdToRule, List<ComputedInheritedRuleModel> rules, RuleCategoryInheritanceOrigin ruleCategoryInheritanceOrigin, Set<String> inheritedRuleIds)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getClassificationAudience()`
  `List<String>`
  `getClassificationLevel()`
  `List<String>`
  `getClassificationOwner()`
  `List<String>`
  `getClassificationReassessingDate()`
  `List<String>`
  `getNeedReassessingAuthorization()`
  `void`
  `setClassificationAudience(List<String> classificationAudience)`
  `void`
  `setClassificationLevel(List<String> classificationLevel)`
  `void`
  `setClassificationOwner(List<String> classificationOwner)`
  `void`
  `setClassificationReassessingDate(List<String> classificationReassessingDate)`
  `void`
  `setNeedReassessingAuthorization(List<String> needReassessingAuthorization)`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.computeinheritedrules.model.InheritedRule

  `getInheritedRuleIds, getMaxEndDate, getRuleCategoryInheritanceOrigin, getRuleIdToRule, getRules, setInheritedRuleIds, setMaxEndDate, setRuleCategoryInheritanceOrigin, setRuleIdToRule, setRules`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassificationRule

    public ClassificationRule()

  - ### ClassificationRule

    public ClassificationRule(LocalDate maxEndDate, Properties properties, Map<String,LocalDate> ruleIdToRule, List<ComputedInheritedRuleModel> rules, RuleCategoryInheritanceOrigin ruleCategoryInheritanceOrigin, Set<String> inheritedRuleIds)

- ## Method Details

  - ### getClassificationLevel

    public List<String> getClassificationLevel()

  - ### setClassificationLevel

    public void setClassificationLevel(List<String> classificationLevel)

  - ### getClassificationOwner

    public List<String> getClassificationOwner()

  - ### setClassificationOwner

    public void setClassificationOwner(List<String> classificationOwner)

  - ### getClassificationReassessingDate

    public List<String> getClassificationReassessingDate()

  - ### setClassificationReassessingDate

    public void setClassificationReassessingDate(List<String> classificationReassessingDate)

  - ### getNeedReassessingAuthorization

    public List<String> getNeedReassessingAuthorization()

  - ### setNeedReassessingAuthorization

    public void setNeedReassessingAuthorization(List<String> needReassessingAuthorization)

  - ### getClassificationAudience

    public List<String> getClassificationAudience()

  - ### setClassificationAudience

    public void setClassificationAudience(List<String> classificationAudience)